[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# RegisterClass

Registers a class with the streaming system.

## Declaration

Source position: classesh.inc line 1987

`procedure RegisterClass(`
`AClass: TPersistentClass`
`);`

## Description

RegisterClass registers the class AClass in the streaming system. After the class has been registered, it can be read from a stream when a reference to this class is encountered.

## See also

RegisterClasses |  | Registers multiple classes with the streaming system.
RegisterClassAlias |  | Registers a class alias with the streaming system.
RegisterComponents |  | Registers components for the component palette.
UnregisterClass |  | Unregisters a class from the streaming system.

Documentation generated on: Feb 26 2014